/*
   do_args: parse the comand line arguments and set variables related to
   them.

   Copied from main:
	watcher [-p] [-v] [-h histfile] [-f controlfile]

	-p : pretty print control file as a verification of parse
		(default no pretty print).  This option prevents
		processing of control file.
	-v : be verbose.
	-h : file in which to save output for future compare (default
		./watcher.history).
	-f : controlfile to use (default ./DEF_CONTROL{,2}).

   Kenneth Ingham

   Copyright (C) 1987 The University of New Mexico
*/

#include "defs.h"

do_args(argc, argv)
int argc; 
char *argv[];
{
	extern int pflag, cflag, vflag;
	extern char controlname[], histfilename[];

	register int i;

	/* defaults */
	pflag = False;
	cflag = False;
	vflag = False;
	(void) sprintf(histfilename, "%s", DEF_HISTFILE);

	for (i=1; i<argc; i++) {
		if (argv[i][0] == '-') {
			switch(argv[i][1]) {
			case 'v':
				vflag = True;
				break;
			case 'p':
				pflag = True;
				break;
			case 'h':
				i = getargv(histfilename, argv, i,
				    "history file name");
				break;
			case 'f':
				i = getargv(controlname, argv, i,
					"controlfile name");
				cflag = True;
				break;
			default:
				fprintf(stderr, "Unknown flag '%s'\n", argv[i]);
				exit(1);
			}
		}
	}
}
